Bug 1126839 - "There is no over-utilized host in cluster " repeated every minute
Summary: "There is no over-utilized host in cluster " repeated every minute
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.4.0
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Doron Fediuck
QA Contact: Lukas Svaty
URL:
Whiteboard: sla
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 12:22 UTC by Paul Dwyer
Modified: 2019-09-12 08:00 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-11 18:07:07 UTC
oVirt Team: SLA


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 31176 master MERGED engine: reduced logging in Even distribution policy Never
oVirt gerrit 35263 ovirt-engine-3.5 MERGED engine: reduced logging in Even distribution policy Never

Description Paul Dwyer 2014-08-05 12:22:47 UTC
Description of problem:
When using Even Distribution policy the following message gets logged every minute
"There is no over-utilized host in cluster"

Version-Release number of selected component (if applicable):
RHEVM3.4

How reproducible:
Always

Steps to Reproduce:
1. Utilise Even Distribution policy

Actual results:
The message is logged every minute.


Expected results:
It is fine to run the check every minute but why do we need to log the fact that there is nothing to balance.

Additional info:
Looking at the code
[ovirt-engine.git] / backend / manager / modules / bll / src / main / java / org / ovirt / engine / core / bll / scheduling / policyunits / EvenDistributionBalancePolicyUnit.java

Wouldn't it make more sense for that to be log.debugFormat?

55     // if there aren't any overutilized hosts, then there is nothing to balance...
56         if (overUtilizedHosts == null || overUtilizedHosts.size() == 0) {
57             log.infoFormat("There is no over-utilized host in cluster '{0}'", cluster.getName());
58             return null;
59         }

Comment 1 Eyal Edri 2014-10-07 07:12:35 UTC
this bug status was moved to MODIFIED before engine vt5 was built,
hence moving to on_qa, if this was mistake and the fix isn't in,
please contact rhev-integ@redhat.com

Comment 2 Lukas Svaty 2014-10-23 09:55:58 UTC
still reproducible in vt7

2014-10-23 11:52:23,312 INFO  [org.ovirt.engine.core.bll.scheduling.PolicyUnitImpl] (DefaultQuartzScheduler_Worker-41) There is no over-utilized host in cluster Default
2014-10-23 11:53:23,317 INFO  [org.ovirt.engine.core.bll.scheduling.PolicyUnitImpl] (DefaultQuartzScheduler_Worker-97) There is no over-utilized host in cluster Default
2014-10-23 11:54:23,326 INFO  [org.ovirt.engine.core.bll.scheduling.PolicyUnitImpl] (DefaultQuartzScheduler_Worker-53) There is no over-utilized host in cluster Default
2014-10-23 11:55:23,330 INFO  [org.ovirt.engine.core.bll.scheduling.PolicyUnitImpl] (DefaultQuartzScheduler_Worker-12) There is no over-utilized host in cluster Default

Comment 4 Jiri Moskovcak 2014-11-18 08:06:12 UTC
The patch wasn't picked to the 3.5 branch. Re-submitted.

Comment 6 Lukas Svaty 2014-12-22 11:25:45 UTC
verified in av13.4

Comment 9 errata-xmlrpc 2015-02-11 18:07:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.